## gtksheet 4.3.14+dfsg

=== meson_options.txt ===
# GtkSheet Meson options

option('enable-tests', 
       type : 'boolean', value : true, 
       description : 'enable build of tests')

option('enable-glade', 
       type : 'boolean', value : true, 
       description : 'enable Glade-integration')

option('enable-introspection', 
       type : 'boolean', value : true, 
       description : 'enable GObject-Introspection')

option('enable-gtk-doc', 
       type : 'boolean', value : true, 
       description : 'enable gtkdoc')

## gtksheet 4.3.12%2Bdfsg

=== debian/control ===
Source: gtksheet
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bastian Germann <bage@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 gtk-doc-tools,
 libjpeg-dev,
 libgtk-3-dev,
 libpng-dev,
 pkg-config,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://fpaquet.github.io/gtksheet/

Package: libgtksheet-4.0-4
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Gtk spreadsheet widget (shared C library)
 A spreadsheet widget for Gtk (an Excel-like table).
 gtksheet is a useful widget set complementary to GTK+ for creating graphical
 interfaces for the X Window System. It is split out of the old gtkextra library
 of the gtk2 era and ported to gtk3.
 .
 This package contains the shared library.

Package: libgtksheet-4.0-dev
Architecture: any
Section: libdevel
Depends:
 ${misc:Depends},
 libgtksheet-4.0-4 (= ${binary:Version}),
 libgtk-3-dev,
Description: Gtk spreadsheet widget (development library)
 A spreadsheet widget for Gtk (an Excel-like table).
 gtksheet is a useful widget set complementary to GTK+ for creating graphical
 interfaces for the X Window System. It is split out of the old gtkextra library
 of the gtk2 era and ported to gtk3.
 .
 This package contains the development headers for the library.

## gtksheet 4.3.12+dfsg

=== debian/changelog ===
gtksheet (4.3.12+dfsg-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:21:50 +0000

gtksheet (4.3.12+dfsg-4build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:56:12 +0000

gtksheet (4.3.12+dfsg-4) unstable; urgency=medium

  * Switch to autoconf build system instead of flaky meson. (Closes: #1060349)

 -- Bastian Germann <bage@debian.org>  Wed, 10 Jan 2024 00:03:57 +0100

gtksheet (4.3.12+dfsg-3) unstable; urgency=medium

  * pkgconf: Search the right include path (Thanks to Bdale Garbee).

 -- Bastian Germann <bage@debian.org>  Sat, 06 Jan 2024 19:09:10 +0100

gtksheet (4.3.12+dfsg-2) unstable; urgency=medium

  * Source-only reupload.

 -- Bastian Germann <bage@debian.org>  Fri, 05 Jan 2024 20:40:09 +0100

gtksheet (4.3.12+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #1036393)

 -- Bastian Germann <bage@debian.org>  Wed, 20 Sep 2023 21:06:04 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-glade=no

override_dh_auto_test:
	# There are glib malloc checks that fail.

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=auto \
https://github.com/fpaquet/gtksheet/tags .*/V[\d\.]+\.tar\.gz

## gtksheet 4.3.13+dfsg

=== debian/changelog ===
gtksheet (4.3.13+dfsg-3) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Set field Upstream-Name in debian/copyright.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 30 Nov 2024 23:33:29 +0100

gtksheet (4.3.13+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Prevent erroring on incompatible-pointer-types. (Closes: #1075052)

 -- Bastian Germann <bage@debian.org>  Sat, 17 Aug 2024 13:54:42 +0200

gtksheet (4.3.13+dfsg-1) unstable; urgency=medium

  * QA upload.
  * New upstream version.
  * d/watch: Use git mode.
  * Enable running tests.
  * Switch from pkg-config to pkgconf.
  * Drop upstreamed patch hunk.

 -- Bastian Germann <bage@debian.org>  Fri, 05 Apr 2024 19:40:16 +0200

=== debian/control ===
Source: gtksheet
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               gtk-doc-tools,
               libgtk-3-dev,
               libjpeg-dev,
               libpng-dev,
               pkgconf,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://fpaquet.github.io/gtksheet/
Vcs-Browser: https://salsa.debian.org/debian/gtksheet
Vcs-Git: https://salsa.debian.org/debian/gtksheet.git

Package: libgtksheet-4.0-4
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Gtk spreadsheet widget (shared C library)
 A spreadsheet widget for Gtk (an Excel-like table).
 gtksheet is a useful widget set complementary to GTK+ for creating graphical
 interfaces for the X Window System. It is split out of the old gtkextra library
 of the gtk2 era and ported to gtk3.
 .
 This package contains the shared library.

Package: libgtksheet-4.0-dev
Architecture: any
Section: libdevel
Depends: libgtk-3-dev,
         libgtksheet-4.0-4 (= ${binary:Version}),
         ${misc:Depends},
Description: Gtk spreadsheet widget (development library)
 A spreadsheet widget for Gtk (an Excel-like table).
 gtksheet is a useful widget set complementary to GTK+ for creating graphical
 interfaces for the X Window System. It is split out of the old gtkextra library
 of the gtk2 era and ported to gtk3.
 .
 This package contains the development headers for the library.

## gtksheet 4.3.14+dfsg

=== debian/changelog ===
gtksheet (4.3.14+dfsg-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.7.2.

 -- Boyuan Yang <byang@debian.org>  Fri, 21 Mar 2025 12:53:54 -0400

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                libjpeg-dev,
                libpng-dev,
                pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: http://fpaquet.github.io/gtksheet/
+Homepage: https://fpaquet.github.io/gtksheet/
 Vcs-Browser: https://salsa.debian.org/debian/gtksheet
 Vcs-Git: https://salsa.debian.org/debian/gtksheet.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -Wno-error=incompatible-pointer-types

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-glade=no

=== debian/watch ===
version=4
opts=mode=git,repacksuffix=+dfsg,dversionmangle=auto \
https://github.com/fpaquet/gtksheet.git refs/tags/V([\d\.]+)
